/* -*- mode: js2; js2-basic-offset: 4; indent-tabs-mode: nil -*- */
/**
 * AVD Search Provider for GNOME Shell
 *
 * Copyright (c) 2012 Alex Murray <murray.alex@gmail.com>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

const GLib = imports.gi.GLib;
const Gtk = imports.gi.Gtk;
const ExtensionUtils = imports.misc.extensionUtils;
const Me = ExtensionUtils.getCurrentExtension();
const Lib = Me.imports.lib;

function init() {
    // Nothing to see here
}

function buildPrefsWidget() {
    let frame = new Gtk.Box({ orientation: Gtk.Orientation.VERTICAL,
                              border_width: 10});
    let box = new Gtk.Box({ orientation: Gtk.Orientation.HORIZONTAL });

    // We only have one setting - the path to the SDK
    let label = new Gtk.Label({ label: 'Android SDK Path' });
    let button = new Gtk.FileChooserButton({ title: 'Android SDK Path',
					     action: Gtk.FileChooserAction.SELECT_FOLDER });
    button.set_filename(Lib.getAndroidSDKPath());
    button.connect('file-set', function (button) {
        Lib.setAndroidSDKPath(button.get_filename());
    });
    box.pack_start(label, false, true, 10);
    box.pack_start(button, true, true, 10);
    frame.add(box);
    frame.show_all();

    return frame;
}
